Bug 903156 - taskcleaner.sh utility outputs extra lines
taskcleaner.sh utility outputs extra lines
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: 3.2.0
Assigned To: Eli Mesika
Pavel Stehlik
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-01-23 05:38 EST by Eli Mesika
Modified: 2016-02-10 14:16 EST (History)
10 users (show)

See Also:
Fixed In Version: sf6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11298 None None None Never

  None (edit)
Description Eli Mesika 2013-01-23 05:38:00 EST
Description of problem:
When using taskcleaner.sh utility to list task or zombie tasks, the utility outputs extra lines
For example :

--- Start---
./taskcleaner.sh -u postgres -d ovirt 
~/ovirt-engine/backend/manager/dbscripts ~/ovirt-engine/backend/manager/dbscripts
(No rows)
~/ovirt-engine/backend/manager/dbscripts
--- End---
The directories in the output are the result of pushd and popd using in the script to make it runnable from any place by its full name.
When the utility returns no data, it is important that no redundant output is generated in order to track this correctly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Have no running tasks (async_tasks table is empty)
2.run
   taskcleaner.sh -u postgres -d engine
3. You will get extra rows before and after the "(No rows)" row
  
Actual results:
Extra output is displayed

Expected results:
When no tasks available, only "(No rows)" should be displayed in the output

Additional info:
Comment 1 Eli Mesika 2013-01-23 05:43:32 EST
http://gerrit.ovirt.org/#/c/11298/
Comment 3 Eli Mesika 2013-01-23 17:20:02 EST
fixed in commit : 9393178
Comment 6 Itamar Heim 2013-06-11 05:07:35 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:07:35 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:07:42 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:36:15 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.